読者です 読者をやめる 読者になる 読者になる

ARCHIVESDRIVE HB

オイラはホームベーカリー!

rake-cache 1.6.0はもういない!

budnle installでこけた

古いプロジェクトメンテしようとしたらこけるよー。

Could not find rack-cache-1.6.0 in any of the sources

なくなった

yanked!!

All versions of rack-cache | RubyGems.org | your community gem host

yankedじゃないが

github.com

依存関係のあるgemのバージョンは1.6.0→1.6.1で変わらないようなので、そのままbundle upadte rake-cacheすれば大体の人は解決するでしょう!

どうしても1.6.0が無いとダメな場合

多分Gemfileに以下のように書けばgithubから持ってこれるので、なんとかなると思います。

gem 'rack-cache', :git => 'git@github.com:rtomayko/rack-cache.git', :tag => 'v1.6.0'

当然githubと通信しないといけないので、アカウント取って~/.ssh/configあたりに設定書いといてください。なんかhttpsを指定も出来るみたいだけど、そっちは試してないので……。